using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.PF;

namespace APT.BaseData.Domain.Entities.PF
{
    /// <summary>
    /// 操作角色
    /// </summary>
    [Description("操作角色")]
    public class T_PF_APPROVE_OPERATION_ROLE : MesEntityBase
    {
        [DataFieldForeignKey("Nav_Approve", "Nav_ApproveRoles")]
        [Description("主表ID")]
        public Guid? APPROVAL_ROLE_ID { get; set; }
        [Description("导航属性：审批角色")]
        public virtual T_PF_APPROVAL_ROLE Nav_Approve { get; set; }
        [DataFieldForeignKey("Nav_Role")]
        [Description("操作角色")]
        public Guid? ROLE_ID { get; set; }
        [Description("导航属性：审批角色")]
        public virtual T_FM_ROLE Nav_Role { get; set; }
    }
}
